# getByzantineTime 
## Функция выводит на экран византийское время

**Версия:** 2.3 от 08.01.2017

**Пример:** <https://bogaiskov.ru/location.html>

**Используются:**

*  Sunrise/Sunset Algorithm by Nautical Almanac Office US Naval Observatory
*  HTML5 Geolocation API

**Параметры:**

	x - элемент, в который будет передан html-текст, 
		содержащий информацию о текущем времени.
		
	format - формат отображения византийского времени.
		Если format == 'image' или 'img', то отображаются 
		стрелочные византийские часы. В качестве элемента 
		x укажите блочный элемент необходимого размера.
		Для корректного отображения часов, необходимо
		подключить файл таблицы стилей btime/btime.css, 
		расположенный в той же папке, что и скрипт.
		При format == 'img' стрелка неподвижна.
		
		В остальных случаях время отображается в виде текста.
		Используйте следующие плейсхолдеры:
		%y - год,
		%2y - две последние цифры года,
		%m - месяц (1...12),
		%0m - то же с ведущим нулем,
		%1m = (января...декабря),
		%2m = (янв...дек),
		%d - день месяца (0...31),
		%0d - то же с ведущим нулем,
		%n - день недели (0...6), где 0 - воскресенье,
		%0n - то же с ведущим нулем,
		%1n - (воскресенье...суббота),
		%2n - (Вс...Сб),
		%N - (Воскресенье...Суббота),
		%h - час (0...23),
		%0h - то же с ведущим нулем,
		%1h - час (1...12) без указания дня/ночи,
		%H - час (1-й...12-й час дня/ночи),
		%l - лепта (0...9),
		%0l - то же с ведущим нулем,
		%j - мойра (0...14),
		%0j - то же с ведущим нулем,
		%r - рипа (0...7),
		%0r - то же с ведущим нулем,
		%w - стража,
		%s - богослужение.
	
		По умолчанию: format="%0h:%0l:%0j:%0r - %w (%s)".	
	
	mode - режим работы функции. 
		1.Если передан массив, то mode - это координаты места. 
		Сутки по Византийскому времени начинаются 
		с заходом солнца, поэтому их начало зависит от даты 
		и местоположения (долготы и широты).
			1 Сутки = 24 часа
			1 Час = 10 лепт
			1 Лепта = 15 мойр
			1 Мойра = 8 рип
		Византийское время не может быть определено 
		за полярным кругом (Широта по модулю > 66.5622).
		Если заданы координаты за полярным кругом, то 
		функция получает текущие координаты пользователя
		и рассчитывает для них Византийское время. 
		Если получить координаты невозможно или 
		пользователь находится за полярным кругом, 
		то рассчитывается псевдо-византийское время 
		с полночью в 18:00.
		Следует иметь ввиду, что getCurrentPosition() и 
		watchPosition() больше не работают на сайтах ненадежного 
		происхождения. Чтобы использовать эту функцию, вы должны 
		подумать о переходе к использованию безопасного режима, 
		такого как HTTPS. 
		Подробнее см. <https://goo.gl/rStTGz>
		2. Иначе, mode - это час начала вечернего богослужения
		для расчета церковного (псевдо-византийского) 
		времени.
		Сутки по Церковному (псевдо-византийскому) времени 
		начинаются с принятым на приходе началом вечерней 
		службы. Как правило это: 16, 17 или 18 часов.
		Если mode не число, или его значение лежит 
		за пределами диапазона от 0 до 24, то рассчитывается 
		псевдо-византийское время с полночью в 18:00.
		
		По умолчанию mode=[90,0] (Северный полюс) - 
		то есть функция будет пытаться определить координаты 
		пользователя.
		
	time - гражданское время по Григорианскому календарю 
		в милисекундах, прошедшее с 1 января 1970 года 00:00:00 по UTC, 
		для которого необходимо определить византийское время.
		Если time = 0, то принимается текущее время пользователя.
		
		По умолчанию time = 0.
		
**Возвращает:**

	true 	- если отображено византийское время,

	false 	- если отображено церковное время или ошибка.

## Изменения ##

= 2.2 =

* Добавлен format='img', при котором стрелка неподвижна.
* Исправлен баг непозвявший иметь на странице более одних стрелочных часов.

= 2.1 =

* Добавлена обработка ошибки при попытке определить координаты на незащищенном сайте.

= 2.0 =

* Добавлены стрелочные часы.

= 1.1 =

* Добавлена возможность вывода даты по Юлианскому календарю.